Bug 619286 - [Indic][mail] Backspace is not working if halant [094D] used in TO/CC Field
Summary: [Indic][mail] Backspace is not working if halant [094D] used in TO/CC Field
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords: i18n, RHELNAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 07:28 UTC by A S Alam
Modified: 2013-07-03 01:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 15:38:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description A S Alam 2010-07-29 07:28:17 UTC
Description of problem:
if write a new mail and put Indic Unicode Characters in To/CC Field (Case where Contact Name is in Unicode (of course Email Address in English)), 
Backspace is not working, if halant is in Character.

Version-Release number of selected component (if applicable):
evolution-2.28.3-8.el6.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. run evolution in hi_IN locale
2. start write New Mail
3. in TO/CC field type local text or
4. you can copy paste Text (क्पक्ब्न्न)
5. Try to use BackSpace
  
Actual results:
Text is not deleted completely

Expected results:
it should be removed completely.

Additional info:
Delete is working fine

Comment 2 RHEL Product and Program Management 2010-07-29 07:48:00 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Milan Crha 2010-07-29 08:40:12 UTC
Thanks for a bug report. I can reproduce it too, on actual git master, interestingly the gtk-demo's Entry->Entry Completion demo works properly.

Comment 6 Matthew Barnes 2010-08-03 21:06:15 UTC
Confirming.  Reproduced on both RHEL 6 and the latest upstream code.

Comment 7 Matthew Barnes 2010-08-04 19:42:05 UTC
Fixed upstream in:
http://git.gnome.org/browse/evolution-data-server/commit/?id=8d25991a7483c09413dc3f38945bbc8496cb10fc

Backported to RHEL 6 in evolution-data-server-2.28.3-10.el6.

Comment 8 Lubos Kocman 2010-08-05 14:46:46 UTC
Hello Matthew, could you please build that package, I'm unable to find it in brew and the latest version in repo is *.3-8.el6.

Thanks

Comment 9 Matthew Barnes 2010-08-05 15:11:12 UTC
The fix is in evolution-data-server, not evolution.

https://brewweb.devel.redhat.com/buildinfo?buildID=139288

Comment 11 A S Alam 2010-08-06 07:32:30 UTC
status - FIXED
tested package: evolution-data-server-2.28.3-10.el

Detail:
input for Indic locales working in TO/CC field using halant.

Thanks

Comment 12 Milan Crha 2010-08-25 13:02:45 UTC
This change has a regression on actual git master, see the upstream bug
https://bugzilla.gnome.org/show_bug.cgi?id=627937

Reverting this patch (comment #7) fixes the crash. I cannot test easily with RHEL6, so please test there and reopen if you see the same as I do on git master. Thanks in advance.

Comment 13 A S Alam 2010-08-26 04:15:38 UTC
(In reply to comment #12)
> This change has a regression on actual git master, see the upstream bug
> https://bugzilla.gnome.org/show_bug.cgi?id=627937
> 
> Reverting this patch (comment #7) fixes the crash. I cannot test easily with
> RHEL6, so please test there and reopen if you see the same as I do on git
> master. Thanks in advance.

Can you please provide scratch build for this?

Comment 14 Milan Crha 2010-08-26 06:01:10 UTC
(In reply to comment #13)
> Can you please provide scratch build for this?

I meant to test whether the crash from the upstream bugzilla with steps provided there is also reproducible with a package from comment #11. In case it is, then I can scratch-build a package with a patch from the upstream bugzilla.

Comment 15 releng-rhel@redhat.com 2010-11-11 15:38:13 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.